.ql-snow .ql-editor .table-container {
	margin-bottom: 1rem;
}

.ql-snow .ql-editor table {
	border-collapse: collapse;
	width: fit-content;

	& td {
		border: 1px solid black;
		padding: 5px;
		vertical-align: top;
	}

	& img {
		max-width: fit-content;
	}
}

.ql-table.dn {
	display: none !important;
}

.ql-picker.ql-table {
	font-size: 11px;
	font-weight: normal;

	& .ql-picker-label {
		display: block;
		width: 28px;
		height: 24px;
		padding: 1px 4px;

		& svg {
			position: static !important;
			margin: 0 !important;
		}
	}

	& .ql-picker-options {
		width: 178px;
	}

	& .ql-picker-item {
		display: block;
		float: left;
		width: 30px;
		height: 30px;
		line-height: 30px;
		text-align: center;
		padding: 0;
		margin: 1px;
		border: 1px solid #444;
		color: #444;

		&:nth-child(5)::after {
			clear: both;
			display: block;
			content: "";
			width: 100%;
		}

		&:hover {
			background-color: var(--color-primary);

			&::before {
				color: var(--color-white);
			}
		}
	}
}

.ql-picker-item[data-value=newtable_1_1]::before {
	content: "1x1";
}

.ql-picker-item[data-value=newtable_1_2]::before {
	content: "1x2";
}

.ql-picker-item[data-value=newtable_1_3]::before {
	content: "1x3";
}

.ql-picker-item[data-value=newtable_1_4]::before {
	content: "1x4";
}

.ql-picker-item[data-value=newtable_1_5]::before {
	content: "1x5";
}

.ql-picker-item[data-value=newtable_2_1]::before {
	content: "2x1";
}

.ql-picker-item[data-value=newtable_2_2]::before {
	content: "2x2";
}

.ql-picker-item[data-value=newtable_2_3]::before {
	content: "2x3";
}

.ql-picker-item[data-value=newtable_2_4]::before {
	content: "2x4";
}

.ql-picker-item[data-value=newtable_2_5]::before {
	content: "2x5";
}

.ql-picker-item[data-value=newtable_3_1]::before {
	content: "3x1";
}

.ql-picker-item[data-value=newtable_3_2]::before {
	content: "3x2";
}

.ql-picker-item[data-value=newtable_3_3]::before {
	content: "3x3";
}

.ql-picker-item[data-value=newtable_3_4]::before {
	content: "3x4";
}

.ql-picker-item[data-value=newtable_3_5]::before {
	content: "3x5";
}

.ql-picker-item[data-value=newtable_4_1]::before {
	content: "4x1";
}

.ql-picker-item[data-value=newtable_4_2]::before {
	content: "4x2";
}

.ql-picker-item[data-value=newtable_4_3]::before {
	content: "4x3";
}

.ql-picker-item[data-value=newtable_4_4]::before {
	content: "4x4";
}

.ql-picker-item[data-value=newtable_4_5]::before {
	content: "4x5";
}

.ql-picker-item[data-value=newtable_5_1]::before {
	content: "5x1";
}

.ql-picker-item[data-value=newtable_5_2]::before {
	content: "5x2";
}

.ql-picker-item[data-value=newtable_5_3]::before {
	content: "5x3";
}

.ql-picker-item[data-value=newtable_5_4]::before {
	content: "5x4";
}

.ql-picker-item[data-value=newtable_5_5]::before {
	content: "5x5";
}
